%define summary An X Window System graphical interface for the GNU gdb debugger.
%define name xxgdb
%define exec /usr/X11R6/bin/xxgdb
%define section Applications/Development/Tools

Name: %{name}
Summary: %{summary}
Version: 1.12
Release: 18mdk
Copyright: MIT
Icon: %{name}.xpm
Group: Development/Other
BuildRequires: XFree86-devel
Source: ftp://sunsite.unc.edu/pub/Linux/devel/debuggers/xxgdb-1.12.tar.bz2
Source1: xxgdb.wmconfig
Source2: %{name}_16x16.xpm
Source3: %{name}_32x32.xpm
Source4: %{name}_48x48.xpm
Patch: xxgdb-1.08-glibc.patch.bz2
Patch1: xxgdb-1.12-sysv.patch.bz2
Patch2: xxgdb-1.12-compat21.patch.bz2
BuildRoot: /var/tmp/%{name}-root
Requires: gdb

%description
Xxgdb is an X Window System graphical interface to the GNU gdb debugger.
Xxgdb provides visual feedback and supports a mouse interface for the
user who wants to perform debugging tasks like the following:  controlling
program execution through breakpoints, examining and traversing the
function call stack, displaying values of variables and data structures,
and browsing source files and functions.

Install the xxgdb package if you'd like to use a graphical interface with
the GNU gdb debugger.  You'll also need to have the gdb package installed.

%prep
%setup -q -n xxgdb-1.12
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .compat21

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/wmconfig
  install -m 644 $RPM_SOURCE_DIR/xxgdb.wmconfig ./etc/X11/wmconfig/xxgdb
)


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

# icons
install -D %{SOURCE2}  \
	$RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm 
install -D %{SOURCE3}   \
	$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
install -D %{SOURCE4}   \
	$RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{exec}"\
	needs="X11"\
	icon="%{name}.xpm"\
	section="%{section}"\
	title="%{name}"\
	longtitle="%{name}: %{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT
%post
## add menu entry 
[ -x %{_bindir}/update-menus ] && %{_bindir}/update-menus || true

%postun
## remove menu entry 
[ "$1" = 0 ] && [ -x %{_bindir}/update-menus ] && %{_bindir}/update-menus || true

%files
%defattr(-,root,root)
/usr/X11R6/bin/xxgdb
/usr/X11R6/lib/X11/app-defaults/XDbx
/usr/X11R6/man/man1/xxgdb.1x*
%config(noreplace) /etc/X11/wmconfig/xxgdb
%defattr(644,root,root)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 1.12-18mdk
- eliminating some more warnings from rpmlint
- adding large icon and made all icons transparent

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 1.12-17mdk
- adding some macros

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.12-16mdk
- automatically added BuildRequires

* Wed Apr  5 2000 Denis Havlik <denis@mandrakesoft.com> 1.12-15mdk
- group: Development/Other
- menu + icons ( need beter ones!) 
- spechelper

* Wed Dec 1 1999 Florent Villard <warly@mandrakesoft.com>
- built in new environment

* Tue Oct 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect paths in patch #1 (xxgdb-1.12-sysv.patch.bz2)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Wed Mar 23 1999 Michael Maher <mike@redhat.com>
- added requires for gdb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch around i386 wchar_t glibc-2.1 typedef.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- change wmconfig group to utilities
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Feb  9 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries
- removed prefix line ... can't have it with wmconfig file :(

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
